res = 0

def f(h, w):
    
    global res
    #print(h,w)
    if h == 1:
        res += (((h * w) ))
        #print(res)
        return
    res += (h * w)
    #print(h,w,res)
    if h % 2 == 0:
        f(h // 2, w)
        f(h // 2, w)
    else:
        f((h // 2) + 1, w)
        f((h // 2), w)

h, w = sorted(map(int, input().split()),reverse=True)
s = h * w
if w==1:
	res=s*2
	s=0
else:
	k = f(h, w)
print(res+s)
